Data - Retrieve State Data
Belirtilen kapsam/parametreler için durum verilerini alır.
POST http://<Servername>/OperationsManager/data/state
İstek Gövdesi
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Tür | Description |
|---|---|---|
| classId |
string |
ClassID'yi belirtin |
| criteria |
string |
Ölçütleri belirtin (önem derecesi, öncelik, çözüm durumu vb.) |
| displayColumns |
string[] |
Görüntülenecek Sütunları belirtin |
| groupId |
string |
Grup Kimliği'ni belirtin |
| objectIds |
object |
Bir Nesne Kimlikleri dizisi belirtin |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
TAMAM. Sistem durumu verileri başarıyla alındı. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Örnekler
Data_RetrieveStateData
Örnek isteği
POST http://<Servername>/OperationsManager/data/state
{
"classId": "6f7e3306-beeb-2996-3795-7c1eafb925b8",
"groupId": null,
"objectIds": {},
"criteria": "((HealthState = '2') OR (HealthState = '0') OR HealthState is null OR (HealthState = '1') OR (HealthState = '3'))",
"displayColumns": [
"healthstate",
"displayname",
"path",
"maintenancemode"
]
}
Örnek yanıt
{
"tableColumns": [
{
"field": "healthstate",
"header": "Health",
"type": null,
"hidden": false
},
{
"field": "displayname",
"header": "Display name",
"type": null,
"hidden": false
},
{
"field": "path",
"header": "Path",
"type": null,
"hidden": false
},
{
"field": "maintenancemode",
"header": "Maintenance mode",
"type": null,
"hidden": false
},
{
"field": "id",
"header": "Id",
"type": null,
"hidden": true
}
],
"rows": [
{
"id": "6f7e3306-beeb-2996-3795-7c1eafb925b8",
"healthstate": "notmonitored",
"displayname": "All Windows Computers",
"path": "",
"maintenancemode": "false"
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Data |
|
|
Table |
|
|
Table |
DataRequest
| Name | Tür | Description |
|---|---|---|
| classId |
string |
ClassID'yi belirtin |
| criteria |
string |
Ölçütleri belirtin (önem derecesi, öncelik, çözüm durumu vb.) |
| displayColumns |
string[] |
Görüntülenecek Sütunları belirtin |
| groupId |
string |
Grup Kimliği'ni belirtin |
| objectIds |
object |
Bir Nesne Kimlikleri dizisi belirtin |
TableColumn
| Name | Tür | Description |
|---|---|---|
| field |
string |
Sütunun Adı |
| header |
string |
Sütunun üst bilgisi |
| hidden |
boolean |
Sütun gizli mi? |
| type |
string |
Sütunun Türü |
TableDataResponse
| Name | Tür | Description |
|---|---|---|
| rows |
object[] |
Tablo Veri Satırları |
| tableColumns |
Veri tablo sütunları |